#case-studies-posts {
    margin-top: 40px;
    max-width: 823px;
    overflow: hidden; /* Забороняє вихід елементів */
    background: transparent;
    padding-bottom: 0;
}
section.case-studies-block{
    height :auto;
    max-height: 100%;
}
.case-studies-block .swiper-wrapper{
    max-height: 100%;
}
#case-studies-posts .container {
    padding: 0 !important;
}
.success-cases_inner{
    height: 100%;
}
.case-studies-posts-header {
    display: flex;
    flex-flow: row;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 60px;
}

h3.case-studies-posts-header__title {
    font-family: Geologica, sans-serif;
    font-weight: 600;
    font-size: 48px;
    line-height: 56px;
    letter-spacing: 0;
    color: var(--Text-Dark-100, #1A1A1A);
    margin: 0;
}

.case-studies-posts-header__link {
    border: 2px solid var(--Light-theme-Primary, #FF3E71);
    padding: 12px 44px 12px 44px;
    width: max-content;
    font-family: Geologica, sans-serif;
    font-weight: 500;
    font-size: 20px;
    line-height: 120%;
    letter-spacing: 0;
    text-align: center;
    text-decoration: none;
    color: var(--Light-theme-Primary, #FF3E71);
    border-radius: 40px;
}

.case-studies-posts-header__link.mobile-link {
    display: none;
}

.case-studies-section {
    max-width: 100%; /* Не дозволяє Swiper виходити за межі */
    overflow: hidden; /* Забороняє вихід елементів */
    padding-bottom: 60px;
}

.case-studies-section .swiper-wrapper {
    width: 100% !important; /* Дозволяє адаптивну ширину */
}

.case-studies-post {
    width: 100%;
    max-width: 100%;
    border-radius: 15px;
    height :548px;
    max-height: 548px;
}
#case-studies-posts .case-studies-post{
    background: transparent;
}
#case-studies-posts .case-studies-post,#case-studies-posts .case-studies-post .case-studies-post-link{
    height :760px;
    max-height: 760px;
}

.case-studies-post .case-studies-post-content {
    flex: 1;
    width: 50%;
    box-shadow: 0 2px 8px 0 #0000000A;
    background: var(--Light-theme-White, #FFFFFF);
    padding: 32px;
    border-radius: 12px 0 0 12px !important;
}

.case-studies-post-link {
    display: flex;
    gap: 0;
    padding: 0;
    text-decoration: none;
}

.case-studies-post .case-studies-post-content .case-studies-post-title {
    font-family: "Geologica", sans-serif;
    font-weight: 600;
    font-size: 32px;
    line-height: 40px;
    letter-spacing: 0;
    color: var(--Light-theme-Text-100, #282828);

}

.case-studies-post .case-studies-post-link {
    padding: 0;
    gap: 0;
    height :100%
}

.case-studies-post .case-studies-post-image {
    background: #1A1A1A;
    width: 50%;
    min-width: 335px; /* Пропорційне збільшення */
    max-width: 50%;
    padding: 24px 40px 24px 40px;
    display: flex;
    /*justify-content: center;*/
    /*align-items: center;*/
    border-radius: 0 12px 12px 0;
    object-fit: contain;
}

.case-studies-post .case-studies-post-image img {
    border: 0;
    border-radius: 0;
}

.case-studies-posts .case-studies-post {
    border-radius: 12px;
    box-shadow: 0px 2px 8px 0px #0000000A;
    background: var(--Light-theme-White, #FFFFFF);

}

.case-studies-post-info {
    display: flex;
    flex-flow: column;
    align-items: flex-start;
    padding: 30px 0 0 0;
    height: 100%;
    margin-top: auto;
}

.case-studies-post-info .case-studies-data {
    margin-bottom: 40px;
    display: flex;
    margin-top: auto;
}

.case-studies-post-content .case-studies-data {
    display: flex;
    margin-top: auto;
}

.case-studies-post-info .case-studies-data .case-studies-data__item {
    display: flex;
    flex-wrap: wrap;
    gap: 8px;
}

.case-studies-post-info .case-studies-data .case-studies-data__item .case-studies-data__item-title {
    flex: 0 0 100%;
    width: 100%;
    color: #5F5F5F;
    font-family: "Geologica", sans-serif;
    font-weight: 300;
    font-size: 14px;
    line-height: 120%;
    letter-spacing: 0;
}

.case-studies-post-info .case-studies-data .case-studies-data__item .case-studies-data__item-value {
    font-family: "Geologica", sans-serif;
    font-weight: 500;
    font-size: 24px;
    line-height: 120%;
    letter-spacing: 0;
    color: #282828;
}

.case-studies-post-info .case-studies-data .case-studies-data__item:not(:first-child) {
    border-left: 1px solid #E8D7DE;
    padding-left: 12px;
}

.case-studies-post-info .case-studies-data .data-icon {
    width: 24px;
    height: 24px;
}

.case-studies-post-info .case-studies-data .case-studies-data__item:not(:last-child) {
    padding-right: 12px;
}

.case-studies-post-info {
    border: none;
}

.case-studies-post-read-more {
    border-radius: 40px;
    background: var(--Light-theme-Primary, #FF3E71);
    padding: 12px 44px;
    width: max-content;
    font-family: "Geologica", sans-serif;
    font-weight: 500;
    font-size: 20px;
    line-height: 120%;
    letter-spacing: 0;
    text-align: center;
    color: var(--Light-theme-Background, #F9F9F9);
}

.case-studies-post header {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    margin-bottom: 6px;
}

.case-studies-post header .case-studies-terms {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    flex-wrap: wrap;
    gap: 8px;
}

.case-studies-post .case-studies-post-content {
    display: flex;
    flex-flow: column;
    align-items: flex-start;
    gap: 10px;
    border-bottom-right-radius: 12px;
    border-bottom-left-radius: 12px;
    padding: 40px;
    background: var(--Light-theme-White, #FFFFFF);
    box-shadow: 0px 2px 8px 0px #0000000A;
    height: auto;
    max-height: 100%;
    max-width: 100%;
}

.case-studies-post header .case-studies-terms span.term-link {
    border: 1.5px solid var(--Light-theme-Stroke, #E8D7DE);
    font-family: "Geologica", sans-serif;
    font-weight: 400;
    font-size: 16px;
    line-height: 24px;
    letter-spacing: 0;
    border-radius: 30px;
    text-decoration: none;
    padding: 6px 24px;
    color: var(--Light-theme-Text-100, #282828);

}

.case-studies-posts .case-studies-post-image .case-studies-post-image-img {
    width: 100%;
    max-width: 100%;
    height: auto;
    object-fit: cover;
    border-radius: 0;
}

.case-studies-navigation {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 17px;
    position: absolute;
    bottom: 0;
    right: 0;
    z-index: 3;
}

.btn-nav {
    display: flex;
    justify-content: center;
    align-items: center;
}

.case-studies-pagination {
    display: none;
    position: absolute;
    bottom: 0;
    right: 0;
    font-size: 30px;
    line-height: 120%;
    font-weight: 400;
    color: var(--text-300);
    z-index: 3;
    text-align: right;
    max-width: fit-content;
    margin-right: 0;
    margin-left: auto;
    height: fit-content;
}

@media screen and (max-width: 1100px) {


    .case-studies-post .case-studies-post-image {
        width: clamp(320px, 48.29%, 50%);
        max-width: 50% !important;
    }

    .case-studies-archive {
        width: 100%;
        max-width: 100%;
    }

}

@media screen and (max-width: 1024px) {
    #case-studies-posts {
        max-width: 100%;
    }

    h3.case-studies-posts-header__title {
        font-size: 36px;
        line-height: 120%;
    }
}

@media screen and (max-width: 900px) {
    .case-studies-posts-header {
        margin-bottom: 32px;
        gap: 10px;
    }
    .case-studies-post{
        height: auto;
        max-height: 100%;
    }
    .case-studies-posts-header__link.mobile-link {
        display: block;
        padding: 0;
        border: none;
        width: 40px;
        height: 40px;
    }

    h3.case-studies-posts-header__title {
        font-size: 24px;
        line-height: 120%;
    }

    .case-studies-posts-header__link.pc-link {
        display: none;
    }

    .category-section.category-section-case-studies {
        padding-top: 20px;
    }

    .case-studies-post .case-studies-post header.mobile-header {
        margin-bottom: 20px;
    }

    .case-studies-post .case-studies-post-content {
        padding: 20px;
        width :100%;
    }

    .case-studies-post .case-studies-post-image {
        width: 100%;
        max-width: 100% !important;
        padding: 12px 16px 0 16px;
        border-radius: 12px 12px 0 0;
    }

    .case-studies-post-read-more {
        width: 100%;
    }

    .case-studies-post .case-studies-post-link {
        flex-flow: column-reverse;
        height: 100%;
    }

    .case-studies-post-image {
        min-height: 184px;
        max-height: 100%;
    }

    .case-studies-post-content .case-studies-data {
        margin-bottom: 20px;
    }

    .case-studies-post-content .case-studies-post-title {
        margin-bottom: 2px;
    }

    .case-studies-post header {
        margin-bottom: 10px;
    }

    .case-studies-post .case-studies-post-content {
        border-radius: 0 0 12px 12px !important;
    }

    .case-studies-post .case-studies-post-content .case-studies-post-title {
        font-weight: 400;
        font-size: 20px;
        line-height: 120%;
        margin-bottom: 12px;
    }

    .case-studies-post header .case-studies-terms {
        margin-bottom: 0;
    }

    .case-studies-post-title {
        font-size: 20px !important;
        margin-bottom: 12px;
    }

    .case-studies-post-info {
        padding-top: 0;
        width: 100%;
    }

    .category-section__pagination {
        margin: 32px 0 30px 0;
    }
}

@media screen and (max-width: 560px) {
    .case-studies-post header .case-studies-terms span.term-link {
        font-size: 12px !important;
    }

    .case-studies-post-info .case-studies-data .case-studies-data__item .case-studies-data__item-value {
        font-size: 16px !important;
    }

    .btn-nav, .case-studies-navigation-btn-next, .case-studies-navigation-btn-prev {
        width: 32px;
        height: 32px;
    }
}